#
# spec file for package rebootmgr
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rebootmgr
Version:        0.14
Release:        1.1
Summary:        Automatic controlled reboot during a maintenance window
License:        GPL-2.0 and LGPL-2.1+
Group:          System/Base
Url:            https://github.com/SUSE/rebootmgr
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  cetcd-devel
BuildRequires:  fdupes
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(glib-2.0) >= 2.40
BuildRequires:  pkgconfig(json-c)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{?systemd_requires}

%description
RebootManager is a dbus service to execute a controlled reboot after updates in a defined maintenance window.

If you updated a system with e.g. transactional updates or a kernel update was applied, you can tell rebootmgrd with rebootmgrctl, that the machine should be reboot at the next possible time. This can either be immeaditly, during a defined maintenance window or, to avoid that a lot of machines boot at the same time, controlled with locks and etcd.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make %{?_smp_mflags} DESTDIR=%{buildroot} install
ln -sf service %{buildroot}%{_sbindir}/rcrebootmgr
%fdupes %{buildroot}%{_mandir}

%pre
%service_add_pre rebootmgr.service

%post
%service_add_post rebootmgr.service

%preun
%service_del_preun rebootmgr.service

%postun
%service_del_postun rebootmgr.service

%files
%defattr(-,root,root)
%doc NEWS COPYING COPYING.LIB
%dir %{_sysconfdir}/dbus-1/system.d
%config %{_sysconfdir}/rebootmgr.conf
%config %{_sysconfdir}/dbus-1/system.d/org.opensuse.RebootMgr.conf
%{_prefix}/lib/systemd/system/rebootmgr.service
%{_sbindir}/rebootmgrctl
%{_sbindir}/rebootmgrd
%{_sbindir}/rcrebootmgr
%{_datadir}/dbus-1/interfaces/org.opensuse.RebootMgr.xml
%{_mandir}/man1/rebootmgrctl.1%{ext_man}
%{_mandir}/man5/rebootmgr.conf.5%{ext_man}
%{_mandir}/man8/rebootmgrd.8%{ext_man}
%{_mandir}/man8/org.opensuse.RebootMgr.conf.8%{ext_man}
%{_mandir}/man8/rebootmgr.service.8%{ext_man}

%changelog
* Fri Mar 31 2017 kukuk@suse.de
- Update to version 0.14
  - Allow to have no maintenance window configured [bsc#1031619]
* Wed Mar 15 2017 kukuk@suse.de
- Update to version 0.13
  - Don't reboot outside maintenance window if getting the etcd
    lock takes too long [bsc#1028060]
* Fri Mar  3 2017 kukuk@suse.de
- Update to version 0.12
  - Rewrote reboot code to not block dbus if we wait for etcd locks
    [bsc#1026298]
  - Fix rebootmgr.service dependencies
  - Check input for maintenance window for correct syntax before
    sending to the daemon [bsc#1026220]
* Mon Feb 27 2017 kukuk@suse.de
- Update to version 0.11
  - Implement unlocking of a machine_id not equal to our own [bsc#1026273]
  - Watch for correct key when waiting for lock [bsc#1026274]
* Thu Feb 16 2017 kukuk@suse.de
- Update to version 0.10
  - Fix typos in documentation
  - Fix compilation on 32bit systems
* Tue Feb 14 2017 kukuk@suse.de
- Update to version 0.9
  - Finish rebootmgrctl manual page
* Wed Feb  8 2017 kukuk@suse.de
- Update to version 0.8
  - Implement changing number of hosts holding a lock at the same time
  - Add new and enhance existing manual pages
* Thu Jan 12 2017 kukuk@suse.de
- Update to version 0.7
  - Fix dbus name in systemd service file
* Thu Jan 12 2017 kukuk@suse.de
- Update to version 0.6
  - Add etcd lock support
* Mon Jan  9 2017 kukuk@suse.de
- Update to version 0.5
  - Rewrite for better dbus support
  - Merges typo.patch
* Tue Dec 13 2016 kukuk@suse.de
- Fix typo in executing systemctl
* Wed Nov 23 2016 kukuk@suse.de
- Update to versin 0.3
  - fix path for systemctl
* Wed Nov 23 2016 kukuk@suse.de
- Update to version 0.2
  - implement maintenance window
  - implement rebootmgrctl get-strategy
* Sun Nov 20 2016 kukuk@suse.de
- Initial submission
